// Copyright (c) 2021 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "../libs.h"

/** Division of a texture */
typedef struct {
  float x0, y0, x1, y1;
} tilesetdiv_t;

/** Definition of a Tileset */
typedef struct {
  /** Count of X/Y divisions */
  int32_t columns, rows;

  /** Count of divisions (unused) */
  int32_t count;

  /** Division information */
  tilesetdiv_t *divisions;
} tileset_t;