// Copyright (c) 2021 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "../../libs.h"

/** Width of a tile (in pixels) */
#define TILE_WIDTH 16
/** Height of a tile (in pixels) */
#define TILE_HEIGHT 16
/** What a NULL tile is represented as. */
#define TILE_NULL 0x00

/** Bitwise Flags from tiles. */
typedef uint8_t tileflag_t;

/** Tile ID */
typedef uint8_t tileid_t;

/** Representation of the information of a tile within a tilemap. */
typedef struct {
  /** Flags of the tile */
  tileflag_t flags;

  /** How many indices and vertices a tile with this definition has. */
  int32_t indiceCount, verticeCount;
} tiledef_t;