// Copyright (c) 2021 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include <dawn/dawn.h>
#include "../display/render.h"
#include "../display/camera.h"
#include "../display/shader.h"
#include "../file/asset.h"
#include "../input/input.h"
#include "../world/world.h"

/**
 * Initialize the game context.
 * 
 * @return True if successful, otherwise false.
 */
bool gameInit();

/**
 * Tick the main game loop.
 * 
 * @return True if successful, false if safe exit requested..
 */
bool gameUpdate();

/**
 * Cleanup the game instance.
 */
void gameDispose();